version: '3'
services:

  backend:
    restart: always
    build:
      context: backend
      dockerfile: Dockerfile
    depends_on:
      - pgsql
    ports:
      - "80:80"
    networks:
      - phalcon

  frontend:
    restart: always
    build:
      context: frontend
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    networks:
      - phalcon

  pgsql:
    image: postgres:latest
    restart: always
    environment:
        POSTGRES_PASSWORD: 1234
    ports:
      - "5432:5432"
    networks:
      - phalcon
      
networks:
  phalcon:
        driver: bridge
